POST /v1/connected_banking/beneficiary/complete
Completes the beneficiary addition by confirming the OTP returned to the merchant's registered mobile.
Request body
{
"sub_merchant_id": "b96673d0-9091-45ed-85dc-a1af045a62d2",
"open_beneficiary_id": "d6ec35ac-3b18-4060-853e-0416dae2c676",
"otp": "345123"
}Success — 200 OK
{
"status": "success",
"data": {
"sub_merchant_id": "b96673d0-9091-45ed-85dc-a1af045a62d2",
"bank_account_id": "d88a2124-fdeb-414d-b836-418ee28e31c6",
"open_beneficiary_id": "d6ec35ac-3b18-4060-853e-0416dae2c676",
"bank_beneficiary_id": "",
"beneficiary_status": "in_cool_off_period"
},
"error": null,
"meta": {
"timestamp": "2026-07-23T11:47:33.050769594Z"
}
}beneficiary_status may be pending, pending_for_approval, in_cool_off_period, active, or failed.
Possible errors: OPN_CB_BN_002, OPN_CB_BN_004